server:
  port: 9998
spring:
  application:
    name: erp-server
  profiles:
    active: local
  jackson:
    property-naming-strategy: SNAKE_CASE
  servlet:
    multipart:
      enabled: true
      max-file-size: 20MB
      max-request-size: 20MB
  #分库分表配置
  shardingsphere:
    props:
      sql:
        show: true
    sharding:
      default-data-source-name: ds0

# 开发环境日志为debug
logging:
  file: logs/erp-server.out
  config: classpath:log4j2-spring.xml #日志文件自定义名
  level:
    org.springframework: ERROR
    springfox.documentation: ERROR
    org.elasticsearch: ERROR
    com.xxl: ERROR
    com.hys.app: DEBUG

seata:
  enabled: false

#java 系统配置
erp:
  #token加密秘钥，请务必更换此词串，且注意保密
  token-secret: 85d6ce9da4e943ff4dcd367ab3d94164
  timeout:
    accessTokenTimeout:  12000000 #访问token失效时间 单位秒
    refreshTokenTimeout: 18000000 #刷新token失效时间 单位秒
    captchaTimout:  120       #验证码失效时间 单位秒
    smscodeTimout: 120        #短信验证码失效时间 单位秒



shop-tnt:
  http-address: https://q26970737o.yicp.fun
  sign-secret: AT5W8XCsvGnxMY1RVguB

wx:
  #商户APIV3密钥
  merchantId: 1639044836
  #商户APIV3密钥
  privateKeyPath: D:\Users\admin\Downloads\WXCertUtil\cert\apiclient_key.pem
  #商户APIV3密钥
  merchantSerialNumber: 492C5167AAB33F606EB2397CBB0D2B8B62F90B05
  #商户APIV3密钥
  apiV3Key: jfijti4ngjrgier90t304rjrfierurti
  #APPID
  appid: wx51e98f2dee35237d
  notifyUrl: www.baidu.com

merchantPayInfo:
  bankNo: 31010260201000041831
  bank: 浙江泰隆商业银行股份有限公司上海莘庄支行
  dutyParagraph: 91310117MA7JB1TQ71
  invoice: 崴叁（上海）文化传媒有限公司

kuangshi:
  apikey: Jn5BwrI0kuXx8HFNb6ZsxC86s1b6-URH
  apiSecret: uxMKTbXzGyTyDrh6ABm0bs25VxGF6uLt
  idCardUrl: https://api-cn.faceplusplus.com/cardpp/v1/ocridcard
  licenseUrl: https://api-cn.faceplusplus.com/cardpp/v1/business_license


ali:
  apikey:  LTAI5t9RbXSuirMa8AkvHxQf
  access_secret:  VCmMZvMKrcN2tBHXdenyEKJIoKbwQf


amazon:
  service:
    access_key_id: AKIA2BBVU6FRF2P2E47L
    secret_access_key: 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
    service_name:
    service_version:
    seller_id:
    marketplace_id:





